exercise_05_13: exercise_05_13.o | .gitignore
	g++     $^ -o $@
.gitignore:
	echo   exercise_05_13 > $@  
exercise_05_13.ii: exercise_05_13.cpp
	g++ -E $^ -o $@
exercise_05_13.s: exercise_05_13.ii
	g++ -S $^ -o $@
exercise_05_13.o: exercise_05_13.s
	g++ -c $^ -o $@
clean:
	rm -f *.ii *.s *.o exercise_05_13 .gitignore test.out 

test: exercise_05_13
	@./exercise_05_13 < test.in > test.out && echo "test is executing..."
	@diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED
PRECIOUS: exercise_05_13.ii exercise_05_13.s
SECONDARY: exercise_05_13.ii exercise_05_13.s
